=== debian/changelog ===
ros-humble-as2-motion-reference-handlers (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-motion-reference-handlers (1.0.3-1jammy) jammy; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-motion-reference-handlers (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #260 <https://github.com/aerostack2/aerostack2/issues/260> from aerostack2/259-as2_motion_reference_handlers-motion-reference-handler-using-old-trajectory-topic
    [as2_motion_reference_handlers] Change JointTrajectoryPoint to TrajectoryPoint msg type
  * Change JointTrajectoryPoint to TrajectoryPoint
  * Contributors: RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-motion-reference-handlers (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-motion-reference-handlers (1.0.0-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-motion-reference-handlers (0.2.2-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 23:00:00 -0000

ros-humble-as2-motion-reference-handlers (0.2.1-1jammy) jammy; urgency=high

  * Merge pull request #83 <https://github.com/aerostack2/aerostack2/issues/83> from aerostack2/48-as2_motion_reference_handlers-make-private-basic-motion-handler-methods
    Make controller_info_callback and __set_mode privates
  * Make controller_info_callback and __set_mode privates
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * Merge pull request #4 <https://github.com/aerostack2/aerostack2/issues/4> from aerostack2/as2_behaviors
    Change as2 behaviors
  * Change as2 behaviors
  * motion references handler py renamed
  * added as2_ prefix to motion_handlers
  * First commit
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, miferco97

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000
